Bug 173807 - [PATCH] accessibility/speech-dispatcher optionsng
Summary: [PATCH] accessibility/speech-dispatcher optionsng
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alberto Villa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-21 22:50 UTC by Chris Petrik
Modified: 2013-01-05 03:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.25 KB, patch)
2012-11-21 22:50 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2012-11-21 22:50:00 UTC
OptionsNG changes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-21 22:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avilla

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-05 03:00:29 UTC
Author: avilla
Date: Sat Jan  5 03:00:14 2013
New Revision: 309947
URL: http://svnweb.freebsd.org/changeset/ports/309947

Log:
  - Port to optionsNG.
  - Trim headers.
  - Cleanup COMMENT and LICENSE.
  
  PR:		173807 [1]
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com> [1], bapt via email

Modified:
  head/accessibility/speech-dispatcher/Makefile   (contents, props changed)
  head/comms/usbmuxd/Makefile   (contents, props changed)
  head/devel/libplist/Makefile   (contents, props changed)
  head/graphics/opengtl/Makefile   (contents, props changed)

Modified: head/accessibility/speech-dispatcher/Makefile
==============================================================================
--- head/accessibility/speech-dispatcher/Makefile	Sat Jan  5 02:25:39 2013	(r309946)
+++ head/accessibility/speech-dispatcher/Makefile	Sat Jan  5 03:00:14 2013	(r309947)
@@ -1,7 +1,3 @@
-# New ports collection makefile for:	speech-dispatcher
-# Date created:				8 December 2009
-# Whom:					Alberto Villa <villa.alberto@gmail.com>
-#
 # $FreeBSD$
 
 PORTNAME=	speech-dispatcher
@@ -16,8 +12,8 @@ COMMENT=	Common interface to speech synt
 LICENSE=	GPLv2 LGPL21
 LICENSE_COMB=	multi
 
-LIB_DEPENDS=	dotconf.0:${PORTSDIR}/devel/dotconf \
-		sndfile.1:${PORTSDIR}/audio/libsndfile
+LIB_DEPENDS=	dotconf:${PORTSDIR}/devel/dotconf \
+		sndfile:${PORTSDIR}/audio/libsndfile
 
 # gnomehier is required because of share/sounds directory.
 USE_GNOME=	glib20 gnomehier pkgconfig
@@ -40,16 +36,14 @@ PLIST_SUB+=	ETCFILES="${ETCFILES}"
 
 PORTDOCS=	AUTHORS ChangeLog INSTALL NEWS README TODO
 
-INFO=		spd-say ${PORTNAME} ssip
+INFO=		spd-say speech-dispatcher ssip
 
-OPTIONS=	ALSA	"ALSA support" off \
-		ESPEAK	"eSpeak output module" on \
-		FESTIVAL	"Festival output module" off \
-		FLITE	"Festival Lite output module" off \
-		LIBAO	"libao support" off \
-		NAS	"Network Audio System support" off \
-		PULSEAUDIO	"PulseAudio support" off \
-		PYTHON	"Python support" off
+OPTIONS_DEFINE=	ALSA AO ESPEAK FESTIVAL FLITE NAS PULSEAUDIO PYTHON
+OPTIONS_DEFAULT=ESPEAK
+
+ESPEAK_DESC=	eSpeak output module
+FESTIVAL_DESC=	Festival output module
+FLITE_DESC=	Festival Lite output module
 
 .include <bsd.port.options.mk>
 
@@ -57,64 +51,64 @@ OPTIONS=	ALSA	"ALSA support" off \
 CFLAGS+=	-fPIC
 .endif
 
-.ifdef(WITH_ALSA)
-LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib
-CONFIGURE_ARGS+=	--with-alsa
+.if ${PORT_OPTIONS:MALSA}
+LIB_DEPENDS+=	asound:${PORTSDIR}/audio/alsa-lib
+CONFIGURE_ARGS+=--with-alsa
+.else
+CONFIGURE_ARGS+=--without-alsa
+.endif
+
+.if ${PORT_OPTIONS:MAO}
+LIB_DEPENDS+=	ao:${PORTSDIR}/audio/libao
+CONFIGURE_ARGS+=--with-libao
 .else
-CONFIGURE_ARGS+=	--without-alsa
+CONFIGURE_ARGS+=--without-libao
 .endif
 
-.ifndef(WITHOUT_ESPEAK)
-LIB_DEPENDS+=	espeak.1:${PORTSDIR}/audio/espeak
-CONFIGURE_ARGS+=	--with-espeak
+.if ${PORT_OPTIONS:MESPEAK}
+LIB_DEPENDS+=	espeak:${PORTSDIR}/audio/espeak
+CONFIGURE_ARGS+=--with-espeak
 PLIST_SUB+=	ESPEAK=""
 .else
-CONFIGURE_ARGS+=	--without-espeak
+CONFIGURE_ARGS+=--without-espeak
 PLIST_SUB+=	ESPEAK="@comment "
 .endif
 
-.ifdef(WITH_FESTIVAL)
+.if ${PORT_OPTIONS:MFESTIVAL}
 RUN_DEPENDS+=	festival:${PORTSDIR}/audio/festival \
 		${LOCALBASE}/share/festival/lib/${PORTNAME}.scm:${PORTSDIR}/audio/festival-freebsoft-utils
 .endif
 
-.ifdef(WITH_FLITE)
+.if ${PORT_OPTIONS:MFLITE}
 BUILD_DEPENDS+=	flite:${PORTSDIR}/audio/flite
 RUN_DEPENDS+=	flite:${PORTSDIR}/audio/flite
-CONFIGURE_ARGS+=	--with-flite
+CONFIGURE_ARGS+=--with-flite
 PLIST_SUB+=	FLITE=""
 .else
-CONFIGURE_ARGS+=	--without-flite
+CONFIGURE_ARGS+=--without-flite
 PLIST_SUB+=	FLITE="@comment "
 .endif
 
-.ifdef(WITH_LIBAO)
-LIB_DEPENDS+=	ao.4:${PORTSDIR}/audio/libao
-CONFIGURE_ARGS+=	--with-libao
-.else
-CONFIGURE_ARGS+=	--without-libao
-.endif
-
-.ifdef(WITH_NAS)
-LIB_DEPENDS+=	audio.2:${PORTSDIR}/audio/nas
-CONFIGURE_ARGS+=	--with-nas
+.if ${PORT_OPTIONS:MNAS}
+LIB_DEPENDS+=	audio:${PORTSDIR}/audio/nas
+CONFIGURE_ARGS+=--with-nas
 .else
-CONFIGURE_ARGS+=	--without-nas
+CONFIGURE_ARGS+=--without-nas
 .endif
 
-.if defined(WITH_PULSEAUDIO) && ${OSVERSION} >= 700041
-LIB_DEPENDS+=	pulse.0:${PORTSDIR}/audio/pulseaudio
-CONFIGURE_ARGS+=	--with-pulse
+.if ${PORT_OPTIONS:MPULSEAUDIO}
+LIB_DEPENDS+=	pulse:${PORTSDIR}/audio/pulseaudio
+CONFIGURE_ARGS+=--with-pulse
 .else
-CONFIGURE_ARGS+=	--without-pulse
+CONFIGURE_ARGS+=--without-pulse
 .endif
 
-.ifdef(WITH_PYTHON)
+.if ${PORT_OPTIONS:MPYTHON}
 USE_PYTHON=	2.5+
-CONFIGURE_ARGS+=	--enable-python
+CONFIGURE_ARGS+=--enable-python
 PLIST_SUB+=	PYTHON=""
 .else
-CONFIGURE_ARGS+=	--disable-python
+CONFIGURE_ARGS+=--disable-python
 PLIST_SUB+=	PYTHON="@comment "
 .endif
 
@@ -137,7 +131,7 @@ post-install:
 		${CP} -p ${ETCDIR}/${f}.sample ${ETCDIR}/${f}; \
 	fi
 .endfor
-.ifndef(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .for f in ${PORTDOCS}
 	${INSTALL_MAN} ${WRKSRC}/${f} ${DOCSDIR}

Modified: head/comms/usbmuxd/Makefile
==============================================================================
--- head/comms/usbmuxd/Makefile	Sat Jan  5 02:25:39 2013	(r309946)
+++ head/comms/usbmuxd/Makefile	Sat Jan  5 03:00:14 2013	(r309947)
@@ -1,7 +1,3 @@
-# New ports collection makefile for:	usbmuxd
-# Date created:				10 June 2010
-# Whom:					Alberto Villa <avilla@FreeBSD.org>
-#
 # $FreeBSD$
 
 PORTNAME=	usbmuxd
@@ -13,7 +9,7 @@ MASTER_SITES=	http://www.libimobiledevic
 MAINTAINER=	avilla@FreeBSD.org
 COMMENT=	Daemon for multiplexing connections over USB to an iPhone/iPod Touch
 
-LIB_DEPENDS=	plist.1:${PORTSDIR}/devel/libplist
+LIB_DEPENDS=	plist:${PORTSDIR}/devel/libplist
 
 USE_BZIP2=	yes
 USE_CMAKE=	yes
@@ -22,12 +18,14 @@ USE_LDCONFIG=	yes
 
 PORTDOCS=	AUTHORS README README.devel
 
-OPTIONS=	INOTIFY	"Use inotify instead of polling (saves energy)" off
+OPTIONS_DEFINE=	INOTIFY
+
+INOTIFY_DESC=	Use inotify instead of polling (saves energy)
 
 .include <bsd.port.options.mk>
 
-.ifdef(WITH_INOTIFY)
-LIB_DEPENDS+=	inotify.0:${PORTSDIR}/devel/libinotify
+.if ${PORT_OPTIONS:MINOTIFY}
+LIB_DEPENDS+=	inotify:${PORTSDIR}/devel/libinotify
 .else
 CMAKE_ARGS+=	-DWANT_INOTIFY:BOOL=FALSE
 .endif
@@ -50,7 +48,7 @@ post-install:
 	${MKDIR} ${DATADIR}
 	${INSTALL_SCRIPT} ${WRKSRC}/python-client/*.py \
 		${DATADIR}/
-.ifndef(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .for f in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}

Modified: head/devel/libplist/Makefile
==============================================================================
--- head/devel/libplist/Makefile	Sat Jan  5 02:25:39 2013	(r309946)
+++ head/devel/libplist/Makefile	Sat Jan  5 03:00:14 2013	(r309947)
@@ -1,7 +1,3 @@
-# New ports collection makefile for:	libplist
-# Date created:				28 May 2010
-# Whom:					Alberto Villa <avilla@FreeBSD.org>
-#
 # $FreeBSD$
 
 PORTNAME=	libplist
@@ -10,10 +6,9 @@ CATEGORIES=	devel
 MASTER_SITES=	http://www.libimobiledevice.org/downloads/
 
 MAINTAINER=	avilla@FreeBSD.org
-COMMENT=	A library to handle Apple Property List format
+COMMENT=	Library to handle Apple Property List format
 
 LICENSE=	LGPL21
-LICENSE_FILE=	${WRKSRC}/COPYING.LESSER
 
 USE_GNOME=	libxml2
 # Unlisted dependency.
@@ -27,24 +22,24 @@ USE_LDCONFIG=	${LOCALBASE}/lib
 
 PORTDOCS=	AUTHORS NEWS README
 
-OPTIONS=	CYTHON	"Enable Cython Python bindings" off \
-		SWIG	"Enable Swig Python bindings" off
+OPTIONS_DEFINE=	CYTHON SWIG
+
+CYTHON_DESC=	Cython Python bindings
+SWIG_DESC=	Swig Python bindings
 
 .include <bsd.port.options.mk>
 
-.ifdef(WITH_CYTHON)
+.if ${PORT_OPTIONS:MCYTHON}
 BUILD_DEPENDS+=	cython:${PORTSDIR}/lang/cython
 USE_PYTHON=	yes
 CMAKE_ARGS+=	-DENABLE_CYTHON:BOOL=On
-# Is this really needed?
-USE_LDCONFIG+=	${PYTHON_SITELIBDIR}
 PLIST_SUB+=	CYTHON=""
 .else
 CMAKE_ARGS+=	-DENABLE_CYTHON:BOOL=Off
 PLIST_SUB+=	CYTHON="@comment "
 .endif
 
-.ifdef(WITH_SWIG)
+.if ${PORT_OPTIONS:MSWIG}
 BUILD_DEPENDS+=	swig:${PORTSDIR}/devel/swig13
 USE_PYTHON=	yes
 CMAKE_ARGS+=	-DENABLE_SWIG:BOOL=On
@@ -59,7 +54,7 @@ pre-configure:
 		${WRKSRC}/CMakeLists.txt
 
 post-install:
-.ifndef(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .for f in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}

Modified: head/graphics/opengtl/Makefile
==============================================================================
--- head/graphics/opengtl/Makefile	Sat Jan  5 02:25:39 2013	(r309946)
+++ head/graphics/opengtl/Makefile	Sat Jan  5 03:00:14 2013	(r309947)
@@ -1,7 +1,3 @@
-# New ports collection makefile for:	opengtl
-# Date created:				28 September 2009
-# Whom:					Alberto Villa <villa.alberto@gmail.com>
-#
 # $FreeBSD$
 
 PORTNAME=	opengtl
@@ -14,12 +10,9 @@ MAINTAINER=	avilla@FreeBSD.org
 COMMENT=	Graphics Transformation Languages
 
 LICENSE=	LGPL20
-LICENSE_FILE=	${WRKSRC}/COPYING
 
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png
-
 BUILD_DEPENDS=	${LOCALBASE}/lib/libLLVM-3.1.so:${PORTSDIR}/devel/llvm
-
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 USE_PERL5=	yes
@@ -28,13 +21,16 @@ USE_CMAKE=	yes
 MAKE_JOBS_SAFE=	yes
 USE_LDCONFIG=	yes
 
-OPTIONS=	SHIVA	"Install filters and generators" on
+OPTIONS_DEFINE=	SHIVA
+OPTIONS_DEFAULT=SHIVA
+
+SHIVA_DESC=	Install filters and generators
 
 PLIST_SUB+=	PORTVERSION=${PORTVERSION}
 
 .include <bsd.port.options.mk>
 
-.ifndef(WITHOUT_SHIVA)
+.if ${PORT_OPTIONS:MSHIVA}
 RUN_DEPENDS+=	${LOCALBASE}/share/OpenGTL/shiva/kernels/oilify.shiva:${PORTSDIR}/graphics/shiva-collections
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alberto Villa freebsd_committer 2013-01-05 03:02:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!